<template>
	<view class="content">
		<scroll-view scroll-y="true" class="list-wrap" :style="{'height': maxheight}">
			<view class="user-item ">
				<view class="user-info">
					<image src="" mode=""></image>
					<view class="">
						往事随风往事随风
					</view>
				</view>
				<view class="user-base">
					<view class="">
						电话：13756234569
					</view>
					<view class="">
						地址：椒江区东海大道400号
					</view>
					<view class="">
						进店时间：2023-12-20 14:20:12
					</view>
				</view>
				<view class="jg"></view>
				<view class="btn-list flex">
					<view class="btn">
						水票：<text>30</text>
					</view>
					<view class="btn">
						押桶：<text>5</text>
					</view>
				</view>
			</view>
		</scroll-view>
	</view>
</template>
<script>
	import {
		getUserList
	} from "@/api/user.js"
	export default {
		data() {
			return {
				maxheight: '',
			};
		},
		onLoad(opt) {
			this.getUserList()
		},
		onShow() {

		},
		onReady(res) {
			var that = this;
			uni.getSystemInfo({
				success: resu => {
					const query = uni.createSelectorQuery();
					query.select('.list-wrap').boundingClientRect();
					query.exec(function(res) {
						that.maxheight = resu.windowHeight - res[0].top + 'px';
					});
				},
				fail: res => {}
			});
		},
		onReachBottom() {

		},
		methods: {
			getUserList() {
				getUserList().then(res => {
					console.log(res);
				})
			}
		}
	};
</script>
<style lang="scss" scoped>
.user-item {
	width: 750rpx;
	align-items: flex-start;
	padding: 25rpx 45rpx;
	background-color: #fff;
	margin-bottom: 15rpx;
	.user-info {
		height: 72rpx;
		font-size: 36rpx;
		font-weight: bold;
		color: #333333;
		display: flex;
		justify-content: flex-start;
		align-items: center;
		image {
			height: 72rpx;
			width: 72rpx;
			margin-right: 20rpx;
			background-color: #eee;
			border-radius: 50%;
		}
	}
	.jg {
		width: 681rpx;
		height: 2rpx;
		background: #E6E6E6;
		margin: 25rpx auto;
	}
	.user-base {
		view {
			margin: 15rpx 0;
		}
	}
	.btn-list {
		justify-content: flex-start;
		.btn {
			padding: 15rpx 30rpx;
			margin-right: 32rpx;
			
			border: 2px solid #333333;
			border-radius: 10rpx;
			font-size: 31rpx;
			font-weight: 500;
			color: #333333;
			text {
				color: #FF4C4C;
				
			}
		}
	}
}
</style>